<?php
require_once(realpath(dirname(__FILE__)."/internals.php"));

define("VCHECK_DEBUG", true);

/*
 * Essentials
 */

define("MFAPPNAME","vcheck"); // used for cookie and logfile names

// database configuration
define("FRONKDB_DBHOST","localhost");
define("FRONKDB_DBUSER","vcheck");
define("FRONKDB_DBPASS","");
define("FRONKDB_DBNAME","vcheck");

// Logging configuration
define("LOGTYPE","file"); // can be one of file, mysql, syslog; defaults to "file"
define("LOGFILENAME",BASEDIR."/var/log/".MFAPPNAME.".log");

/*
 * Application-specific settings
 */

// Upload settings
define('MFUPLOAD_FILE_SAVE_PATH',BASEDIR.'/files'); // folder where files will be stored
define('MFUPLOAD_ALLOWED_EXTENSIONS', 'jpg|jpeg|gif|png|pdf|doc.?|xls.?'); // allowed file extensions in regex format
define('MFUPLOAD_ALLOWED_EXTENSIONS_STR',"jpg, png, gif, pdf, doc, xls");
define('MFUPLOAD_FILE_MAX_SIZE',8192*1024); // Max filesize (8 MB)
define('MFUPLOAD_DIRMODE',0777);
define('MFUPLOAD_FILEMODE',0666);

define("A1VULL_APIURL", '');
define("A1VULL_APIUSER", '');
define("A1VULL_APIPASS", '');

define("HOME_PROVIDER_ID", 1);

/*
 * Maintainer / developer settings
 */
define("MFUSEFANCYURLS",true); // to use urls in folder style

// If your database field names start with a prefix (like Customer_id), set this to true.
// Required when extending from mfBase classes (mfBaseController and mfBaseModel).
define("MFMODEL_USEFIELDPREFIX",false);
define("TESTMODE",false);
define("LAYOUT_DEFAULTPACKAGE","default"); // mfLayout looks for templates in this folder

// the default Controller to call. Without an action, calls index action.
define("DEFAULT_ROUTE","Check");

// use mfLogin?
define("MFUSELOGIN",true);
// The name of your users table. Required by stock mfUser and mfLoginController
define("MFUSERTABLE","Worker");
// use mfMenu?
define("MFUSEMENU",false);
// The name of your menu table. Required by mfMenu
define("MFMENUTABLE","mfMenu");

// change this to wkhtmltopdf-amd64 if your system supports 64 bit binaries
define("WKHTMLTOPDF_BIN",LIBDIR."/mvcfronk/mfWkhtmltopdf/bin/wkhtmltopdf-i386"); 
define("WKHTMLTOPDF_ARGS",'-q -s A4 --footer-center [page]/[topage]');
// where to save PDF files
define("PDFOUTPUTPATH",BASEDIR."/var/temp");
